Subject: bug#48801: 28.0.50; [PATCH] Feature suggestion gnus-retrieve-headers check for nov-is-evil when agent is enabled

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 09 Jun 2021 11:59:10 +0200

Alex Bochannek <[email-masked]> writes:

> However, I don't see a way to set `nntp-nov-is-evil' for a group in a
> way that would still be true when it is part of a virtual group.

Perhaps the easiest would be to create a separate select method for
these groups that has nntp-nov-is-evil set as a select method variable.

> As an experiment, I globally set `nntp-nov-is-evil' to `t' and disabled
> the agent to see if it even works. I ran into a lot of problems where
> Gnus lost track of the unread messages for simple NNTP groups. Is this
> expected or is this potentially a bug?

Sounds like a bug to me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no